
QGIS Application - Feature request #420

Attrib table: column content alignment to left, not to right

2006-12-04 02:04 PM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10479

Description

Hi,

in case of attribute table field contents, which are too long to fit into the visible part of the field, currently the end of the string (number) is

shown. It would be nice to show the beginning instead. Example:

Currently (here the central column number is rather hidden):

|bla|000000000|blub|

Wish (here it looks better):

|bla|50.000000|blub|

Would be nice to get that fixed.

Thanks,

Markus

History

#1 - 2006-12-04 04:24 PM - Martin Dobias

I couldn't find any way how to change this behaviour easily. It's possible to use custom cell drawing but that involves quite some work.

In next version we should port attribute table from current Qt3 compatibility class Q3Table to new Qt4 model-view framework. This might be a part of the

redesign so I'm shifting this to 0.9 release.

#2 - 2007-12-07 09:10 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#3 - 2007-12-15 08:37 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

A fix is in svn commit:3d951b6e (SVN r7795). Note that I haven't made the cells left justified as this can then upset the alignment of numbers or text in
successive rows. Rather, I have set the table to automatically expand the column widths to show all data in that column and left the contents as right

justified.

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
